=== test/Makefile ===
all : 1

tmp     :
	rm -rf tmp
	mkdir tmp

1       : tmp
	../fakeroot --nodebian --lib `cd ..; pwd`/libfakeroot.so.0.0 -c ./tartest


clean   :
	rm -rf tmp*
