=== debian/changelog ===
fakeroot (0.0-14.2) frozen unstable; urgency=high

  * Current hamm version (0.0-13) broke with libc6_2.0.7r-1 
    (`fakeroot "anything"' fails; strace shows the process run inside the 
    fakeroot environment segfaulting) (Similar to #21669 and #22013).
    Recompiled with libc6_2.0.7r-1 and matching -dev so that it works again.
    The changes between 0.0-13 (hamm version) and 0.0-14.1 (slink version)
    affect only the build process and the alpha architecture, so they do
    not affect stability on the architectures for which hamm will be
    released; therefore this is based on 0.0-14.1 rather than 0.0-13 .
  * [debian/control] Fixed description (Fixes #18954).

 -- J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>  Tue, 23 Jun 1998 14:31:42 +0200

fakeroot (0.0-14.1) frozen unstable; urgency=low

  * Fixed contents of shlibs file for alpha, with its libc6.1.

 -- Michael Alan Dorman <mdorman@debian.org>  Wed,  6 May 1998 09:58:32 -0500

fakeroot (0.0-14) unstable; urgency=low

  * debian/rules now removes debian/{files,substvars} in the clean target,
    fixes: 22122

 -- joost witteveen <joostje@debian.org>  Tue,  5 May 1998 19:58:32 +0200

fakeroot (0.0-13) frozen unstable; urgency=low

  * 2 Minor changes to allow fakeroot to compile with egcs.
    However, as egcs is the only c++ compiler with debian, I think 
    it is essential (even to comply with the DFSG) that this is put in
    frozen too.
  * Added a "umask 022" to the test/tartest script, as otherwise it will only
    work if whoever compiles fakeroot happens to have a umaks of 022.

 -- joost witteveen <joost@rulcmc.leidenuniv.nl>  Fri,  1 May 1998 07:44:23 +0200

fakeroot (0.0-12) frozen unstable; urgency=low

  * Fixed shlib file for the move of fakerootlib. (Thanks, Joey Hess, for
    telling me this:)

 -- joost witteveen <joost@rulcmc.leidenuniv.nl>  Sat, 25 Apr 1998 22:47:05 +0200

fakeroot (0.0-11) frozen unstable; urgency=low

  * Removed (harmless) debugging statement, that caused rather stange
    error message during package builds started with UID's bigger than
    1999 (anyone said Debian didn't have any 2k bugs?). Fixes: 21007
  * applied workaround for g++ (2.7.2.3) bug (printf("%Li") is treaded
    as printf("%li")) in debugging output.
  * Added a few lines to fakeroot(1), to explain why it's not a good idea
    to run configure scripts etc from within fakeroot.

 -- joost witteveen <joost@rulcmc.leidenuniv.nl>  Sun, 19 Apr 1998 11:03:51 +0200

fakeroot (0.0-10) frozen unstable; urgency=low

  * security fix.
  * changed order of library and symbolic link in .deb file.

 -- joost witteveen <joost@rulcmc.leidenuniv.nl>  Wed, 28 Jan 1998 14:53:14 +0100

fakeroot (0.0-9a) unstable; urgency=low
  
  * I'd like the next "real" release to include VIRTUAL_ROOT. So, this
    is not a "debian" release. (but use as you wish)
  * dpkg-shlibdeps appears not to complain if fakeroot.shlibs just says:
    "/usr/lib/libfakeroot      0" (without any package name). So I use
    that. 
  * Debian Changelog is now called changelog.Debian.gz (not changelog)
  * fakeroot children now inherit parent's environment.
  * Applied Joey's isell patch (plus Dirk's addition, and Mark's programme
    comment (Checked it, yes my Consise Oxford also says that), and some
    corrections of my own). That should probably fix about half of the
    spelling errors, I guess.
  
 -- joost witteveen <joost@rulcmc.leidenuniv.nl>  Tue,  9 Sep 1997 22:54:38 +0200

fakeroot (0.0-9) unstable; urgency=low

  * removed xbase source dependancy (used mkdirhier, changed to mkdir -p)
  * changed "adm" to "sys", in the tartest (and in my /etc/passwd!),
    to allow the tartest to succeed on normal debian systems too.
  * Some changes/additions to manual page.
  * fakeroot now uses libfakeroot.so.0 by default, instead
    of libfakeroot.so.0.0. This removes the dpkg-shlibdeps warnings.
  * Added a libfakeroot.so.0 symlink.
  * added the full path in the shlibfile (/usr/lib/libfakeroot)
 -- joost witteveen <joost@rulcmc.leidenuniv.nl>  Sat,  6 Sep 1997 20:24:55 +0200

fakeroot (0.0-8) unstable; urgency=low

  * Added -D_REENTRANT to the flags when building libfakeroot.
  * Added strip --strip-unneeded libfakeroot in rules "binary" target.
  * really return EPERM on things like "chmod 0 file"
  * changed --nodebian to be the default again.
  
 -- joost witteveen <joost@rulcmc.leidenuniv.nl>  Sun,  3 Aug 1997 15:32:40 +0200

fakeroot (0.0-7) unstable; urgency=low

  * Added a shlibs file (to prevent (harmless) warnings form
    dpkg-shlibdeps).
  * Now also wrap rename(), fixing bug #11613.
  * added "mv" tests to the "debian/rules build" tests.
  * use dlsym(RTLD_NEXT,...), instead of
    dlsym(dlopen("/lib/libc.so.6"),..), so that multiple wrapper libs
    may be used.
  * "mknod" now creates it's files mode 0644 on the filesystem, not
    mode 0666.
  * Added manpage (converted/written by Ray Dassen).
  * --debian option works now.

 -- joost witteveen <joost@rulcmc.leidenuniv.nl>  Sat,  2 Aug 1997 18:01:03 +0200

fakeroot (0.0-6) unstable; urgency=low

  * fakeroot now returns correct exit status.
    (question from Andreas Jellinghaus <aj@dungeon.inka.de>).
  * fix bug where a chown(), chomd(), mknod() etc on "new" files
    (for fakeroot) would cause the data not touched by that specific
    function to be corrupt (also noticed by Andreas Jellinghaus
    <aj@dungeon.inka.de>).
  * unlinking of directories now happens when nlink==2, not==1.
  * work around "touch f; chmod 000 f; echo>f" problem (works for
    root, but not for user/fakeroot): a "chmod 000" call will
    be translated into "chmod 600 (or 700)" to the kernel (and thus
    the real filesystem), but the "fakedata" will record the 000 
    permissions.
  * also wrap mkdir call, as that can create dirs with
    permission 000 too (thus unwritable, shows up in tar).
  * Prevent lost IPC messages causing havoc
    (losses were due to signals sent to process)    
  * code-cleanups.

