=== debian/control ===
Source: fakeroot
Section: utils
Priority: optional
Maintainer: joost witteveen <joostje@debian.org>
Standards-Version: 2.1.1.0

Package: fakeroot
Architecture: any
Depends: ${shlibs:Depends}
Description: Gives a fake root environment.
 This package is intended to enable something like:
   dpkg-buildpackage -rfakeroot
 i.e. to remove the need to become root for a package build.
 This is done by setting LD_PRELOAD to a "libfakeroot.so.0.0",
 that provides wrappers around chown, chmod, mknod, stat,
 etc.
 .
 If you don't understand any of this, you do not need this!
 .
 for dpkg-buildpackage to work, you'll need libc6 versions of
 at least   dpkg, make, fileutils, tar, bash .
