## fakeroot 0.0-17

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 CFLAGS=-Wall  -g
 CXXFLAGS=-Wall -g
 
-all: libfakeroot.so.0.0 fakeroot 
+all: libfakeroot.so.0.0 fakeroot simple
 
 debug: all fakedebug clean_msg semtest get send
 
@@ -31,7 +31,7 @@
 	make -C test
 
 clean  : 
-	rm -rf *.o fakeroot libfakeroot.so.0.0 2 core get semtest hoi clean_msg fakedebug libfakeroot.so* send 
+	rm -rf *.o fakeroot libfakeroot.so.0.0 2 core get semtest hoi clean_msg fakedebug libfakeroot.so* send simple
 	make -C test clean
