=== debian/changelog ===
fakeroot (0.0-17) frozen; urgency=low

  * 0.0-17 Should also have been uploaded to frozen. Correcting that now.


 -- joost witteveen <joostje@debian.org>  Mon,  7 Dec 1998 19:23:40 +0100

fakeroot (0.0-16) unstable; urgency=low

  * removed specific version dependancy in shlib file.
    Fixes: fakeroot

 -- joost witteveen <joostje@debian.org>  Fri,  4 Dec 1998 01:06:35 +0100

fakeroot (0.0-15) frozen unstable; urgency=low

  * Recompiled with libc6-2.0.7u-6.
  * partly applied patch from Matt McLean <keys@yikes.com>, to make
    fakeroot compile with libc 2.1.
  
 -- joost witteveen <joostje@debian.org>  Sat, 28 Nov 1998 21:49:11 +0100

fakeroot (0.0-14.4) unstable; urgency=medium

  * Corrected broken shlibs file (#28556, #28571) - a lack of a \n was
    causing major breakage.
  * Remove "simple" binary in clean target.

 -- Joey Hess <joeyh@master.debian.org>  Mon, 26 Oct 1998 12:46:48 -0800

fakeroot (0.0-14.3) unstable; urgency=low

  * I talked to Joost yesterday, and he understands why I and others want to
    have fakeroot in 2.1.
  * Modified build process to construct an appropriate shlibs file from
    dpkg-shlibdeps output on a dummy C program. Thus, debian/shlibs no
    longer needs to be kept up to date by hand, and there's no more need for
    architecture-specific conditionals.
    This also fixes the "libc6, libc6 (>= 2.0.6u)" in dependencies of
    fakeroot-built packages.
  * Recompiled; now has up to date libstdc++ dependency (Fixes #27794).

 -- J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>  Sun, 25 Oct 1998 14:24:56 +0100
