=== debian/rules ===
--- 
+++ 
@@ -36,11 +36,11 @@
 	#Undoes the effect of `make -f debian.rules build'.
 	#make distclean
 	#rm -f docs/Makefile docs/latextut/Makefile
-	rm -rf debian/{files,substvars,tmp} build 
+	rm -rf debian/{files,substvars,tmp,shlibs} build 
 	make -C . clean
 
 binary-indep:   checkroot build
-        $(checkdir)
+	$(checkdir)
 # There are no architecture-independent files to be uploaded
 # generated by this package.  If there were any they would be
 # made here.
@@ -68,15 +68,20 @@
 	   fakeroot.1 debian/tmp/usr/man/man1/
 	gzip -9 debian/tmp/usr/man/man1/fakeroot.1 \
                 debian/tmp/usr/doc/$(package)/*
-ifneq ($(arch),alpha)
+	(echo -n "/usr/lib/libfakeroot/libfakeroot	0	" ; \
+	 dpkg-shlibdeps -O simple | sed -e s/shlibs:Depends=// -e 's/ *([^()]*)$$//') > debian/shlibs
+#ifneq ($(arch),alpha)
+#	install -g root -o root -m 644 \
+#	   debian/shlibs debian/tmp/DEBIAN
+#else
+#	install -g root -o root -m 644 \
+#	   debian/shlibs.alpha debian/tmp/DEBIAN/shlibs
+#endif
 	install -g root -o root -m 644 \
 	   debian/shlibs debian/tmp/DEBIAN
-else
-	install -g root -o root -m 644 \
-	   debian/shlibs.alpha debian/tmp/DEBIAN/shlibs
-endif
 	#
 	dpkg-shlibdeps ./fakeroot 
+#	dpkg-shlibdeps ./fakeroot ./libfakeroot.so*
 	dpkg-gencontrol
 	chown -R root.root debian/tmp
 	chmod -R g-ws debian/tmp
