## fakeroot 0.4.4-4.1

=== test/Makefile ===
TOPDIR:=$(shell cd ../; pwd)

#use short options, as not all getopt's understand the long ones
RUN=../scripts/fakeroot -f $(TOPDIR)/faked -l $(TOPDIR)/.libs/libfakeroot.so.0 --

all : 4 2 1 3 5 6 7 8

tmp     :
	rm -rf tmp
	mkdir tmp

1       : tmp
	$(RUN) ./tartest

2       : tmp
	$(RUN) "touch tmp/iamnotuser; ls -al tmp/iamnotuser" | grep root

3       : tmp
	RET="`$(RUN) ./echo_arg 3 a b c d e`" ; echo RET=$$RET; test "$$RET" = "b"


# Bug 42710, 42713
4       : tmp
	$(RUN) "touch tmp/foo; install tmp/foo tmp/bar; ls -al tmp/bar" | grep "root.*root.*tmp/bar"

# Bug 42628
# option processing should stop after first non-option:
5       :
	$(RUN) echo -1 -2 | grep -- -1

# Bug 43811
# returnvalue should be used:
6       :
	if $(RUN) false; then false; else true; fi

7       :
	if $(RUN) true; then true; else false; fi

#did we wrap mknod correctly?
8	:
	$(RUN) "mknod hda3 b 3 1; ls -l hda3" | grep "^b" 

clean   :
	rm -rf tmp*
