=== debian/changelog ===
fakeroot (0.4.4-4.1) unstable; urgency=low

  * Non-maintainer release.
  * Change shlibs file to have no third field.

 -- Joel Klecker <espy@debian.org>  Wed, 29 Dec 1999 19:36:30 -0800

fakeroot (0.4.4-4) unstable; urgency=low

  * Added suggestion of Yann DIRSON to kill the faked deamon
    on the EXIT `signal', rather than just after a succesfull
    run of the command ran under fakeroot. Closes: #47886
  * Use short options in the test script, so that it can run on
    solaris too.
  * fix (very stupid) errors in mknod wrapping function. Mknod
    inside fakeroot now works again (also added test for this).
  * applied some s/que/queue/ spelling fixes in fake.cc.
    Closes: #49928
 -- joost witteveen <joostje@debian.org>  Sat, 13 Nov 1999 20:51:35 +0100

fakeroot (0.4.4-3) unstable; urgency=low

  * Replaced uint32_t by u_int32_t, as the former is only defined
    on glibc-2.1 platforms.
  * Apparently format of tar -t changed slightly. Adopted the
    `tartest' from the tests to this (and the old) format.

 -- joost witteveen <joostje@debian.org>  Sat,  9 Oct 1999 17:25:56 +0200
	

fakeroot (0.4.4-2) unstable; urgency=low

  * comparison of uid/gid with -1 is done with 32 bits only. Closes: #44543
  * fix version number in configure.in
  * invert test for type of third argument of __xmknod.
  * another automake bug workaround in doc/Makefile.am from Yann DIRSON
  
 -- joost witteveen <joostje@debian.org>  Wed,  8 Sep 1999 21:25:56 +0200

fakeroot (0.4.4-1) unstable; urgency=low

  * Solaris changes from Yann DIRSON. (Include several fixes for
    incorrect automake/autoconfig usage).
  * correct handling of HAVE_SEMUN_DEF. Closes: #44447
  
 -- joost witteveen <joostje@debian.org>  Tue,  7 Sep 1999 22:40:41 +0200

fakeroot (0.4.3-3) unstable; urgency=low

  * Use exit value of command run as fakeroot. Closes: 43811
    (used patch from aj, also added test for this, finally)
  
  * OK, my configure etc scripts to find out whether to wrap stat(),
    _stat, __xstat were not quite OK. More fixes.

 -- joost witteveen <joostje@debian.org>  Tue, 31 Aug 1999 16:25:58 +0200

fakeroot (0.4.3-1) unstable; urgency=low

  * Added test for 42628.
  * slightly changed the /usr/doc/fakeroot/DEBUG info file, hopefully
    making it more clear.
  * thoughout: changes for sun's `_xstat' etc (instead of Linux's __xstat
    etc). Followed example from Yann DIRSON (but used configure tests etc
    instead).
  * spelling fixes by Yann DIRSON.
  * fakeroot script can find libfakeroot also if not installed in
    /usr/lib/... (Yann DIRSON)
  
 -- joost witteveen <joostje@debian.org>  Wed, 25 Aug 1999 00:34:39 +0200

fakeroot (0.4.2-2) unstable; urgency=low

  * Added '+' to optstring, so that opt parsing stops at first non-opt
    argument. Closes:#42628. (Thanks Ben Pfaff for the '+').

 -- joost witteveen <joostje@debian.org>  Mon, 23 Aug 1999 19:01:53 +0200

fakeroot (0.4.2-1) unstable; urgency=low

  * Applied patch from Richard Braakman. closes: #42710, #42713
    (added slight speedup to the patch, though).
  * Added test for bug 42710, 42713 (using example from bug 42713,
    thanks Thomas Quinot!)
  * manually changed the /var/lib/dpkg/info/fakeroot.shlibs on my system,
    to remove the extra `libc6'. Closes: #43247.
  
 -- joost witteveen <joostje@debian.org>  Sun, 22 Aug 1999 17:55:04 +0200

fakeroot (0.4.1-3) unstable; urgency=low

  * Added fix from Roman Hodek, to fix build problems on the libc2.0 -
    based m68k (stat64 problems). Notice that I've had to change a few
    items in this fix -- hope I done it right.

 -- joost witteveen <joostje@debian.org>  Thu,  5 Aug 1999 14:34:09 +0200

fakeroot (0.4.1-2) unstable; urgency=low

  * OK, now `fakeroot echo hello' doesn't hand the `hello' to echo. Fixed
    that, and added a test for it.

 -- joost witteveen <joostje@debian.org>  Wed,  4 Aug 1999 13:40:17 +0200

fakeroot (0.4.1-1) unstable; urgency=low

  * Made the fakeroot script exit if getopt returns an error
  * Advertise the possiblitity of `--' to specify commands with options.
    The above two points fix:
  * Switched on stat64 support. Fixes: 42396
  * added test for ls -l failing in test script.
 -- joost witteveen <joostje@debian.org>  Tue,  3 Aug 1999 20:47:36 +0200

fakeroot (0.4.0-1) unstable; urgency=low

  * This version uses the fakeroot-related stuff from the old
    (and abandoned) libtricks package, as that code realy is much
    cleaner and easier to maintain/debug.
    Libtricks already had most of the fixes fakeroot aquired as
    NMU in the last few months. Those fixes not yet present in
    libtrics I've (hopefully) added to this version of fakeroot.

 -- joost witteveen <joostje@debian.org>  Sat, 31 Jul 1999 19:19:40 +0200

fakeroot (0.0-17.6) unstable; urgency=low

  *  Non-maintainer release.
  *  Made the lchown() wrapper actually call lchown() instead of chown(),
     this makes it work on systems with a pure chown() (ie kernel 2.2 and 
     glibc 2.1.1 without patches, a la sparc/powerpc)

 -- Ben Collins <bcollins@debian.org>  Tue, 20 Jul 1999 10:36:57 -0600

fakeroot (0.0-17.5) unstable; urgency=low

  * Non-maintainer release.
  * Merge Jason Gunthorpe's changes:
    - Added lchown support and fixed a few typos (closes:Bug#38941,Bug#38928,Bug#38869).
    - Disabled libc 'ldd' hack to speed it up
  
 -- Joel Klecker <espy@debian.org>  Fri,  4 Jun 1999 08:43:48 -0700

fakeroot (0.0-17.4) unstable; urgency=low

  * Add wrapper for lchown.

 -- Joel Klecker <espy@debian.org>  Mon, 19 Apr 1999 12:00:14 -0700
  

fakeroot (0.0-17.3) unstable; urgency=low

  * Regenerate the shlibs file, and do it correctly for potato.
  * Apply patch from Richard Braakman <dark@xs4all.nl>.  closes: #34825
  * Compiled against libstdc++2.9.  closes: #27794
  * Noticed that 'static' was removed from the declare of 'semun.'
    closes: #31925

 -- Adam Heath <doogie@debian.org>  Sun, 21 Mar 1999 05:31:32 -0600

fakeroot (0.0-17.2) unstable; urgency=low

  * Fix shlibs file.


