=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: joost witteveen <joostje@debian.org>
-Standards-Version: 2.1.1.0
+Standards-Version: 2.5.0.0
 
 Package: fakeroot
 Architecture: any
