=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for libfakeroot, adopted form sample debian/rules file for 
# dh_helper. GNU copyright 1997 by Joey Hess.
# Adopted by joost witteveen.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir

#	autoconf
#	automake
	./configure

	$(MAKE)    CFLAGS="-g -O2 -Wall -W -pedantic"\
	         CXXFLAGS="-g -O2 -Wall -W -pedantic"
	$(MAKE) -C test

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
#	 Add here commands to clean up after the build process.
	-$(MAKE) distclean
	-$(MAKE) -C test clean
	rm -rf .deps
#	 Sorry, I always create files with name '2' (stderr output).
	dh_clean 2
	rm -f 2

# Build architecture-independent files here.
binary-indep: build
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
#	 Add here commands to install the files into debian/tmp
	$(MAKE)   CFLAGS="-g -O2 -Wall -W -pedantic"\
	        CXXFLAGS="-g -O2 -Wall -W -pedantic"\
		prefix=`pwd`/debian/tmp/usr install
	install -d -m 0755 debian/tmp/usr/bin/
	install -m 0755 scripts/fakeroot debian/tmp/usr/bin/
	install -d -m 0755 debian/tmp/usr/doc/fakeroot \
		           debian/tmp/usr/lib/libfakeroot
	cp DEBUG debian/tmp/usr/doc/fakeroot
	( echo "This package was written and put togeter by me, "; \
	  echo "joost witteveen <joostje@debian.org>"            ; \
	  echo "------------------------------------------------"; \
	  cat COPYING) > debian/tmp/usr/doc/fakeroot/copyright
	#rm -f debian/tmp/usr/lib/libfakeroot/libfakeroot.*a*
	libtool --finish debian/tmp/usr/lib/fakeroot
	-rm  -f debian/tmp/usr/lib/libfakeroot/libfakeroot.*a*
	-rm  -f debian/tmp/usr/bin/simple
#	(echo -n "/usr/lib/libfakeroot/libfakeroot      0       " ; \
#         dpkg-shlibdeps -O simple | sed -e s/shlibs:Depends=//) > debian/shlibs
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installinit
	dh_installcron
	dh_installmanpages
#	dh_undocumented
	dh_installchangelogs
	dh_strip
	dh_compress
#	gzip -9v debian/tmp/usr/doc/libfakeroot/changelog.Debian \
#	            debian/tmp/usr/man/man1/fakeroot.1 \
#		    
	dh_fixperms
	dh_suidregister
	dh_installdeb
	dh_shlibdeps ./faked
	dh_gencontrol
#	dh_makeshlibs
#	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

# Local Variables:
# mode: Makefile
# End
