## fakeroot 0.4.4-9.2

=== debian/changelog ===
fakeroot (0.4.4-9.2) unstable; urgency=low

  * NMU, for sparc64 environment
  * Added debian/rules section to build a 64bit libfakeroot
  * Updated libtool, since the old one didn't like the -m64 option with
    the --mode=link
  * exclude libfakeroot from dh_shlibdeps call. The faked binary provides
    all the deps we need, and this avoids the 64bit library from pulling
    in libc6-sparc
  * fakeroot: Use LD_LIBRARY_PATH for setting directory, and only
    LD_PRELOAD the library name. This makes it so the the 32/64 libs for
    sparc/sparc64 will load which ever one is needed.

 -- Ben Collins <bcollins@debian.org>  Fri, 27 Apr 2001 10:14:03 -0400

fakeroot (0.4.4-9.1) unstable; urgency=low

  * Non-maintainer upload.
  * Wrap setuid, setgid, initgroups. Closes: #48384, #81750, #85844
  * Add debhelper to build dependencies.

 -- Ivo Timmermans <ivo@debian.org>  Fri, 13 Apr 2001 18:29:32 +0200

fakeroot (0.4.4-9) unstable; urgency=low

  * removed /usr/man/man1/* files. Closes: #80749

 -- joost witteveen <joostje@debian.org>  Sat,  6 Jan 2001 19:36:24 +0100

fakeroot (0.4.4-8) unstable; urgency=low

  * Added builddepends: sharutils.

 -- joost witteveen <joostje@debian.org>  Sun, 17 Dec 2000 11:18:54 +0100

fakeroot (0.4.4-7) unstable; urgency=low

  * Added a builddepends on libtool.
  * Applied patch from Roderich Schupp. Fixes: #79100
  * Applied patch from Roderich Schupp. Fixes: #77549

 -- joost witteveen <joostje@debian.org>  Sun, 10 Dec 2000 17:42:37 +0100

fakeroot (0.4.4-6) unstable; urgency=low

  * check return value of sem_op() now (in a while loop),
    Fixes: 59755
  * added explanation to fakeroot(1) what the problems with libtricks
    were, and why I think it's a bad idea to wrap many libc functions

 -- joost witteveen <joostje@debian.org>  Mon,  8 May 2000 11:32:02 +0300

fakeroot (0.4.4-5) unstable; urgency=low

  * moved DEBUG/copyright files to /usr/share/doc.
    Fixes: #50267, #50174.
  * get_ipc_key() now saves the ipc_key in a static variable. This
    speeds things up in general, and apparently in some cases it also
    appears to be needed. (Idea from Yann DIRSON).
  * shlibs file now doesn't have second field. (Idea from illegal NMU)
  * tar now uses open(file, flags, mode) to set the permissions of a file
    directly (without using chmod). As open() isn't wrapped, this caused
    one of the test in the build process to fail. Choose not to wrap open,
    but to remove the test, as it will rarely cause problems in real
    setups, and wrapping open() does cause problems (either now, or in
    future versions of libc when some function suddenly starts to use
    open()).
  
 -- joost witteveen <joostje@debian.org>  Sat, 11 Mar 2000 18:21:41 +0200
