=== debian/control ===
Source: fakeroot
Section: utils
Priority: optional
Build-Depends: libtool, sharutils, debhelper, gcc-3.0-sparc64 [sparc]
Maintainer: joost witteveen <joostje@debian.org>
Standards-Version: 3.1.1.1

Package: fakeroot
Architecture: any
Depends: ${shlibs:Depends}
Description: Gives a fake root environment.
 This package is intended to enable something like:
   dpkg-buildpackage -rfakeroot
 i.e. to remove the need to become root for a package build.
 This is done by setting LD_PRELOAD to libfakeroot.so,
 which provides wrappers around getuid, chown, chmod, mknod, 
 stat, ..., thereby creating a fake root environment.
 .
 If you don't understand any of this, you do not need fakeroot!
