=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for libfakeroot, adopted form sample debian/rules file for 
# dh_helper. GNU copyright 1997 by Joey Hess.
# Adopted by joost witteveen.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir

	./configure

	$(MAKE) CFLAGS="-g -O2 -Wall -W -pedantic" \
	         CXXFLAGS="-g -O2 -Wall -W -pedantic"
	$(MAKE) -C test

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp build-sparc64-stamp
#	 Add here commands to clean up after the build process.
	-$(MAKE) distclean
	-$(MAKE) -C test clean
	rm -rf .deps
#	 Sorry, I always create files with name '2' (stderr output).
	dh_clean 2
	rm -f 2

# Build architecture-independent files here.
binary-indep: build
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
#	 Add here commands to install the files into debian/tmp
	$(MAKE)   CFLAGS="-g -O2 -Wall -W -pedantic"\
	        CXXFLAGS="-g -O2 -Wall -W -pedantic"\
		prefix=`pwd`/debian/tmp/usr         \
		mandir=`pwd`/debian/tmp/usr/share/man install
	install -d -m 0755 debian/tmp/usr/bin/
	install -m 0755 scripts/fakeroot debian/tmp/usr/bin/
	install -d -m 0755 debian/tmp/usr/share/doc/fakeroot \
		           debian/tmp/usr/lib/libfakeroot
	cp DEBUG debian/tmp/usr/share/doc/fakeroot
	( echo "This package was written and put together by me, "; \
	  echo "joost witteveen <joostje@debian.org>"            ; \
	  echo "------------------------------------------------"; \
	  cat COPYING) > debian/tmp/usr/share/doc/fakeroot/copyright
	libtool --finish debian/tmp/usr/lib/fakeroot
	rm -f debian/tmp/usr/lib/libfakeroot/libfakeroot.*a*
	rm -f debian/tmp/usr/bin/simple
ifeq ($(DEB_HOST_GNU_TYPE),sparc-linux)
	debian/rules binary-sparc64
endif
	dh_installdocs
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	# We can just use the deps for faked.
	dh_shlibdeps -Xlibfakeroot
	dh_gencontrol
	dh_builddeb

binary-sparc64:
	dh_testdir
	$(MAKE) distclean
	CC="gcc-3.0 -m64" ./configure sparc64-linux

	$(MAKE) CFLAGS="-g -O2 -Wall -W -pedantic" CC="gcc-3.0 -m64" \
		libfakeroot.la
	install -d -m 755 debian/tmp/usr/lib/64/libfakeroot
	$(SHELL) ./libtool --mode=install install libfakeroot.la \
		$(PWD)/debian/tmp/usr/lib/64/libfakeroot/libfakeroot.la
	libtool --finish debian/fakeroot-sparc/usr/lib/64/fakeroot
	rm -f debian/tmp/usr/lib/64/libfakeroot/libfakeroot.*a*

	$(MAKE) distclean

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

# Local Variables:
# mode: Makefile
# End
